Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(523)

Issue 2872163002: MD Bookmarks: Add 'Open' command, to open in either the BMM or in new tabs (Closed)

Created:
7 months, 1 week ago by tsergeant
Modified:
7 months ago
Reviewers:
calamity
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, michaelpg+watch-md-ui_chromium.org, arv+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

MD Bookmarks: Add 'Open' command, to open in either the BMM or in new tabs This command is triggered by double clicking selected items, or by pressing Enter (non-Mac) or Meta-Down (Mac). If a single folder is selected, the command will open that folder in the bookmark manager. Otherwise, it will open all selected bookmarks in foreground tabs. BUG=692837 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2872163002 Cr-Commit-Position: refs/heads/master@{#473180} Committed: https://chromium.googlesource.com/chromium/src/+/6c5ad90a8e6c3d841df6b7fb01c935879aedf64e

Patch Set 1 : Open items with middle-click #

Patch Set 2 : Split out singleton change to a separate CL #

Patch Set 3 : Rebase #

Total comments: 13

Patch Set 4 : Review comments #

Patch Set 5 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+173 lines, -36 lines) Patch
M chrome/browser/resources/md_bookmarks/actions.js View 1 2 3 3 chunks +6 lines, -1 line 0 comments Download
M chrome/browser/resources/md_bookmarks/command_manager.js View 1 2 3 5 chunks +26 lines, -3 lines 0 comments Download
M chrome/browser/resources/md_bookmarks/constants.js View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/resources/md_bookmarks/item.html View 1 2 3 4 3 chunks +25 lines, -19 lines 0 comments Download
M chrome/browser/resources/md_bookmarks/item.js View 1 2 3 4 4 chunks +15 lines, -8 lines 0 comments Download
M chrome/test/data/webui/md_bookmarks/actions_test.js View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M chrome/test/data/webui/md_bookmarks/command_manager_test.js View 1 2 3 1 chunk +77 lines, -0 lines 0 comments Download
M chrome/test/data/webui/md_bookmarks/item_test.js View 1 2 chunks +14 lines, -2 lines 0 comments Download
M chrome/test/data/webui/md_bookmarks/list_test.js View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M chrome/test/data/webui/md_bookmarks/test_util.js View 1 2 3 4 3 chunks +5 lines, -1 line 0 comments Download
Trybot results:  win_chromium_rel_ng   win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_compile_dbg_ng   win_clang   mac_chromium_rel_ng   win_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-simulator   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_compile_dbg_ng   closure_compilation   linux_chromium_chromeos_rel_ng   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_linux   cast_shell_android   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   android_arm64_dbg_recipe   android_clang_dbg_recipe   android_cronet   android_compile_dbg   win_chromium_x64_rel_ng   chromium_presubmit   win_chromium_x64_rel_ng   linux_android_rel_ng   chromium_presubmit   win_clang   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device   closure_compilation   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   cast_shell_android   linux_android_rel_ng   cast_shell_linux   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 

Dependent Patchsets:

Messages

Total messages: 40 (30 generated)
tsergeant
7 months, 1 week ago (2017-05-15 03:43:50 UTC) #11
calamity
https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/command_manager.js File chrome/browser/resources/md_bookmarks/command_manager.js (right): https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/command_manager.js#newcode198 chrome/browser/resources/md_bookmarks/command_manager.js:198: break; Can we also add a default: assert(false); here? ...
7 months ago (2017-05-17 05:09:23 UTC) #14
tsergeant
https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/command_manager.js File chrome/browser/resources/md_bookmarks/command_manager.js (right): https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/command_manager.js#newcode198 chrome/browser/resources/md_bookmarks/command_manager.js:198: break; On 2017/05/17 05:09:22, calamity wrote: > Can we ...
7 months ago (2017-05-17 07:04:38 UTC) #19
calamity
lgtm https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/item.js File chrome/browser/resources/md_bookmarks/item.js (right): https://codereview.chromium.org/2872163002/diff/60001/chrome/browser/resources/md_bookmarks/item.js#newcode123 chrome/browser/resources/md_bookmarks/item.js:123: if (e.detail == 1) { On 2017/05/17 07:04:38, ...
7 months ago (2017-05-19 03:47:58 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2872163002/120001
7 months ago (2017-05-19 04:06:04 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/431527)
7 months ago (2017-05-19 06:23:46 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2872163002/120001
7 months ago (2017-05-19 06:46:23 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/449672)
7 months ago (2017-05-19 09:19:29 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2872163002/120001
7 months ago (2017-05-19 12:06:18 UTC) #37
commit-bot: I haz the power
7 months ago (2017-05-19 14:12:49 UTC) #40
Message was sent while issue was closed.
Committed patchset #5 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/6c5ad90a8e6c3d841df6b7fb01c9...

Powered by Google App Engine
This is Rietveld 0eb02b776